From 12d6b5aa06777dd4055b632fefc75aa9dc31c61e Mon Sep 17 00:00:00 2001
From: Simon Castano <roshii@riseup.net>
Date: Sun, 19 May 2024 18:09:51 +0200
Subject: [PATCH] Bump compatible Python version to 3.12

Signed-off-by: Simon Castano <roshii@riseup.net>
---
 .github/workflows/unittests.yml | 2 +-
 README.md                       | 2 +-
 docs/INSTALL.md                 | 2 +-
 pyproject.toml                  | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/.github/workflows/unittests.yml b/.github/workflows/unittests.yml
index 6a642b2dee8d496ed49ffe23ff03d1093c912137..50f67084e81e261c4f2501b630776752c451d6de 100644
--- a/.github/workflows/unittests.yml
+++ b/.github/workflows/unittests.yml
@@ -9,7 +9,7 @@ jobs:
     strategy:
       matrix:
         os: [macos-13, ubuntu-latest]
-        python-version: ["3.8", "3.11"]
+        python-version: ["3.8", "3.12"]
         bitcoind-version: ["0.18.0", "27.0"]
 
     steps:
diff --git a/README.md b/README.md
index dda64717244c9e38cd637b45706b8739c56a514a..b50a8de2ccb897229fd7cecaad7c261f39b5a3e4 100644
--- a/README.md
+++ b/README.md
@@ -34,7 +34,7 @@ Download the latest [release](https://github.com/Joinmarket-Org/joinmarket-clien
 
 Make sure to validate the signature on the tar/zip file provided with the [release](https://github.com/Joinmarket-Org/joinmarket-clientserver/releases) (or check the signature in git if you install that way using `git log --show-signature`).
 
-JoinMarket requires Python 3.8, 3.9, 3.10 or 3.11 installed.
+JoinMarket requires Python >=3.8, <3.13 installed.
 
 (**macOS users**: Make sure that you have Homebrew and Apple's Command Line Tools installed.)
 
diff --git a/docs/INSTALL.md b/docs/INSTALL.md
index 9f15ca96f413032e940b243b299ced90b3057e91..37e08b03848ab5f74741baa9e11150d3f7f234d5 100644
--- a/docs/INSTALL.md
+++ b/docs/INSTALL.md
@@ -4,7 +4,7 @@
 * [Installation on Windows](#installation-on-windows)
 * [Alternative/custom installation](#alternativecustom-installation)
 
-JoinMarket requires Python 3.8, 3.9, 3.10 or 3.11.
+JoinMarket requires Python >=3.8, <3.13.
 
 ### Notes on upgrading, binaries and compatibility
 
diff --git a/pyproject.toml b/pyproject.toml
index 6a3495c71f53c13d0d8f304d5164b403abcd98ad..8f0e581423441f2c6ebe5709982fed8ea9a4ef0c 100644
--- a/pyproject.toml
+++ b/pyproject.toml
@@ -7,7 +7,7 @@ name = "joinmarket"
 version = "0.9.12dev"
 description = "Joinmarket client library for Bitcoin coinjoins"
 readme = "README.md"
-requires-python = ">=3.8,<3.12"
+requires-python = ">=3.8,<3.13"
 license = {file = "LICENSE"}
 dependencies = [
     "chromalog==1.0.5",
